﻿@model IEnumerable<ClientOccupation>
<div class="d-flex mb-5">
    <div>
        <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Please provide your income information</h4>
        <span class="fa-stack pulse pulse-warning warning-html" data-toggle="tooltip" data-html="true" data-original-title="Please enter Client's Birth Date" data-placement="right" role="button" style="top:-5px;left:-10px;">
            <i class="fas fa-play fa-stack-1x text-dark icon-nm" style="transform: rotate(30deg);left:1px;top:3px"></i>
            <i class="fas fa-exclamation-triangle fa-stack-1x text-warning"></i>
            <span class="pulse-ring" style="margin-left:-4px;margin-top:-5px"></span>
        </span>
    </div>
    <div>
        <button class="btn btn-primary font-weight-bold btn-sm btn-employment-add mb-2"><i class="fas fa-plus"></i>New Employment</button>
    </div>
    <div class="ml-auto">
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="wizard-content-height" id="occupation-main-div">
    @foreach (var item1 in Model.OrderBy(m => m.EmploymentOf).GroupBy(m => m.EmploymentOf))
    {
        <div id="occupation-@((int)item1.Key)">
            @foreach (var item in item1)
            {
                var color = item.EmploymentOf == ClientTypeEnum.Client ? "#b00022" : "#008080";
                <div id="employmentinfo-@item.Guid">
                    <div class="card card-custom gutter-b shadow-none heir-card bg-gray-100" style="border:1px solid @color">
                        <div class="card-header heir-header" style="background: @color">
                            <span class="card-title font-weight-bold font-size-h4 text-white w-75">
                                @item.EmployerTitle
                            </span>
                            <div class="card-toolbar">
                                <button class="btn btn-icon btn-sm btn-employment-edit" data-guid="@item.Guid">
                                    <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                                </button>
                                <button class="btn btn-icon btn-sm btn-employment-delete" data-guid="@item.Guid">
                                    <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                                </button>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="font-size-h6">
                                @if (item.EmploymentStatus != EmploymentStatusEnum.Retired && item.EmploymentStatus != EmploymentStatusEnum.HomeMaker)
                                {
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="col-md-5 text-dark font-weight-bold p-0">Occupation:</span>
                                        <span class="col-md-7 p-0">@item.Occupation</span>
                                    </div>
                                }
                                <div class="d-flex justify-content-between align-items-center">
                                    <span class="col-md-5 text-dark font-weight-bold align-self-start p-0">Status:</span>
                                    <span class="col-md-7 p-0">@item.EmploymentStatusString</span>
                                </div>
                                @if (item.EmploymentStatus != EmploymentStatusEnum.HomeMaker)
                                {
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="col-md-5 text-dark font-weight-bold p-0">Retirement Age:</span>
                                        <span class="col-md-7 p-0">@item.AgeToRetire</span>
                                    </div>
                                }
                                @if (item.EmploymentStatus != EmploymentStatusEnum.Retired && item.EmploymentStatus != EmploymentStatusEnum.HomeMaker)
                                {
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="col-md-5 text-dark font-weight-bold p-0">Years to Retirement:</span>
                                        <span class="col-md-7 p-0">@(item.YearsToRetire > 0 ? item.YearsToRetire.ToString() : "-")</span>
                                    </div>
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="col-md-5 text-dark font-weight-bold p-0">Industry:</span>
                                        <span class="col-md-7 p-0">@item.Industry</span>
                                    </div>
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="col-md-5 text-dark font-weight-bold p-0">Employment Type:</span>
                                        <span class="col-md-7 p-0">@item.EmploymentTypesString</span>
                                    </div>
                                    <div class="d-flex justify-content-between align-items-center">
                                        <span class="col-md-5 text-dark font-weight-bold p-0">Annual Earnings:</span>
                                        <span class="col-md-7 p-0">@string.Format("{0:C0}", item.AnnualEarnings)</span>
                                    </div>
                                    <hr />
                                    <div class="d-flex align-items-center">
                                        <span class="text-dark font-weight-bold align-self-start">Address:</span>
                                        <span class="flex-grow-1 pl-2">@item.Address1@(!string.IsNullOrEmpty(item.Address2) ? "," : "") @item.Address2</span>
                                    </div>
                                    <div class="d-flex flex-column flex-xl-row mb-2">
                                        <div>
                                            <span class="text-dark font-weight-bold">State:</span>
                                            <span class="pl-2">@item.State</span>
                                        </div>
                                        <div>
                                            <span class="text-dark font-weight-bold pl-xl-2">City:</span>
                                            <span class="pl-2">@item.City</span>
                                        </div>
                                        <div>
                                            <span class="text-dark font-weight-bold pl-xl-2">Zip:</span>
                                            <span class="pl-2">@item.Zip</span>
                                        </div>
                                    </div>
                                    <div class="d-flex align-items-start font-size-h6">
                                        <span class="text-dark font-weight-bold p-0">My income over 10 years will: </span>
                                        <span class="ml-1">@item.TenYearExpectedAnnualIncomeString</span>
                                    </div>
                                }
                            </div>
                        </div>
                    </div>
                </div>
            }
        </div>
    }
</div>
<partial name="_WizardFooter" />
<div class="modal" id="EmploymentModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script>
    $("#btn-submit").addClass("btn-next");
    $("#ClientSpouseOccupations").val('@ViewBag.ClientSpouseOccupations');
    hideUnhideWizardItem();
    $('body').on('click', '.btn-employment-add,.btn-employment-edit', function (e) {
        var id = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`income/occupationinfo?guid=${id}`, "EmploymentModal");
    });
    $('body').on('click', '.btn-employment-delete', function (e) {
        var cur = this;
        var swalOptions = confimationSwalOptions;
        Swal.fire(swalOptions)
            .then(function (result) {
                if (result.value) {
                    var guid = $(cur).attr("data-guid");
                    deleteRecord(`income/deleteemployment?guid=${guid}`, function (response) {
                        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
                        $(`#employmentinfo-${guid}`).remove();
                        setTimeout(function () { KTApp.unblockPage(); }, 2000);
                        var employmentStatus = $("#ClientSpouseOccupations").val().replace(response.data.employmentInfo.employmentStatus, "");
                        $("#ClientSpouseOccupations").val(employmentStatus);
                        hideUnhideWizardItem();
                        if ($("#occupation-main-div #occupation-1 div").length == 0)
                            $("#ClientYearToRetire").val("");
                        LoadExplicitVue();
                    });
                }
            });
    });
    if ($("#ClientDOB").val().length == 0) {
        $(".btn-employment-add").addClass("d-none");
        $(".warning-html").removeClass("d-none");
    }
    else {
        $(".btn-employment-add").removeClass("d-none");
        $(".warning-html").addClass("d-none");
    }
</script>